net.sf.jasperreports.engine.export.tabulator

## Class Tabulator.SpanRangeCheck

- java.lang.Object
- - net.sf.jasperreports.engine.export.tabulator.Tabulator.SpanRangeCheck

- All Implemented Interfaces:
    CellVisitor<Cell,java.lang.Boolean,java.lang.RuntimeException>
  Enclosing class:
    Tabulator

      protected class Tabulator.SpanRangeCheck
      extends java.lang.Object
      implements CellVisitor<Cell,java.lang.Boolean,java.lang.RuntimeException>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Tabulator.SpanRangeCheck()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `visit(ElementCell spanned, Cell cell)`
    `java.lang.Boolean` | `visit(FrameCell spanned, Cell cell)`
    `java.lang.Boolean` | `visit(LayeredCell spanned, Cell cell)`
    `java.lang.Boolean` | `visit(SplitCell spanned, Cell cell)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tabulator.SpanRangeCheck

          protected Tabulator.SpanRangeCheck()

  - ### Method Detail

    - #### visit

          public java.lang.Boolean visit(ElementCell spanned,
                                Cell cell)

      Specified by:
        `visit` in interface `CellVisitor<Cell,java.lang.Boolean,java.lang.RuntimeException>`

    - #### visit

          public java.lang.Boolean visit(SplitCell spanned,
                                Cell cell)

      Specified by:
        `visit` in interface `CellVisitor<Cell,java.lang.Boolean,java.lang.RuntimeException>`

    - #### visit

          public java.lang.Boolean visit(FrameCell spanned,
                                Cell cell)

      Specified by:
        `visit` in interface `CellVisitor<Cell,java.lang.Boolean,java.lang.RuntimeException>`

    - #### visit

          public java.lang.Boolean visit(LayeredCell spanned,
                                Cell cell)

      Specified by:
        `visit` in interface `CellVisitor<Cell,java.lang.Boolean,java.lang.RuntimeException>`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com